/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.osgi.blueprint;

//$Id: BlueprintContext.java 90472 2009-06-19 15:11:39Z thomas.diesler@jboss.com $

import org.jboss.osgi.blueprint.parser.BlueprintParser;
import org.osgi.framework.BundleContext;
import org.osgi.service.log.LogService;

/**
 * The context of the Blueprint implementation
 * 
 * @author thomas.diesler@jboss.com
 * @since 13-May-2009
 */
public interface BlueprintContext 
{
   String XMLNS_BLUEPRINT = "http://www.osgi.org/xmlns/blueprint/v1.0.0";
   
   LogService getLog();

   BundleContext getBundleContext();

   BlueprintParser getBlueprintParser();
}