/*
* JBoss, Home of Professional Open Source
* Copyright 2009, Red Hat Middleware LLC, and individual contributors
* as indicated by the @author tags. See the copyright.txt file in the
* distribution for a full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.osgi.framework.filter.model;

import org.jboss.osgi.framework.filter.property.PropertySource;

/**
 * PresentOperation.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public class PresentOperation extends Operation
{
   /** The attribute */
   private String attribute;

   /**
    * Create a new PresentOperation.
    * 
    * @param attribute the attribute
    */
   public PresentOperation(String attribute)
   {
      if (attribute == null)
         throw new IllegalArgumentException("Null attribute");
      this.attribute = attribute;
   }

   @Override
   public boolean doMatch(PropertySource source)
   {
      Object value = source.getProperty(attribute);
      return value != null;
   }
   
   @Override
   public void toString(StringBuilder builder)
   {
      builder.append(attribute).append("=*");
   }
}
